//
//  ApplicationController.m
//  PaintingUpThere
//
//  Created by Patrick Geiller on 22/11/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "ApplicationController.h"


@implementation ApplicationController

- (void)applicationDidFinishLaunching:(id)notif
{
//	[self moveButtonsUp:nil];
//	[self moveButtonsDown:nil];
}

- (id)findChildViewOfClassName:(id)className inView:(id)view
{
	id views = [view subviews];
	for (NSView* view in views)
	{
		if ([[[view class] description] isEqualToString:className])
			return	view;
	}	
	return	nil;
}

- (IBAction)moveButtonsUp:(id)sender
{
	// Theme view, containing contentView and NSToolbarView
	id frameView = [[[help window] contentView] superview];

	// The close widget will give the height to put something in the menu bar
	id closeWidget = [self findChildViewOfClassName:@"_NSThemeCloseWidget" inView:frameView];
	if (!closeWidget)	return;

	// Position help widget
	int y = [closeWidget frame].origin.y;
	
	NSRect frame = [help frame];
	frame.origin.y = y-3;
	[help setFrame:frame];
	[frameView addSubview:help];
	
	// Position big button
	id toolbarView = [self findChildViewOfClassName:@"NSToolbarView" inView:frameView];
	if (!toolbarView)	return;
	
	frame = [help frame];
	int margin = 75;
	int w = [frameView frame].size.width;
	frame.origin.y = 0;
	frame.origin.x = margin;
	frame.size.height = 50;
	frame.size.width = w-margin*2;
	[button setFrame:frame];
	[toolbarView addSubview:button];
}

- (IBAction)moveButtonsDown:(id)sender
{
	// contentView, containing contentView and NSToolbarView
	id contentView = [[help window] contentView];

	// Position help widget
	int y = [contentView frame].size.height - 20;
	
	NSRect frame = [help frame];
	frame.origin.y = y-3;
	[help setFrame:frame];
	[contentView addSubview:help];

	
	frame = [contentView frame];
	int margin = 80;
	int w = [contentView frame].size.width;
	frame.origin.y = y-80;
	frame.origin.x = margin;
	frame.size.height = 50;
	frame.size.width = w-margin*2;
	[button setFrame:frame];
	[contentView addSubview:button];

}

- (IBAction)clickedButton:(id)sender
{
	[[NSAlert alertWithMessageText:@"Clicked a button" defaultButton:@"OK" alternateButton:nil otherButton:nil informativeTextWithFormat:@"%@ (%@)", sender,
		sender == help ? @"Help" : @"BigButton"] runModal];
}


@end
